org.modeshape.jboss.subsystem

## Class MappedListAttributeDefinition.Builder

- java.lang.Object
- - org.modeshape.jboss.subsystem.MappedListAttributeDefinition.Builder

- Enclosing class:
    MappedListAttributeDefinition

      public static class MappedListAttributeDefinition.Builder
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MappedListAttributeDefinition.Builder(String name, org.jboss.as.controller.SimpleAttributeDefinition valueType)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.jboss.as.controller.ListAttributeDefinition` | `build()`
    `static MappedListAttributeDefinition.Builder` | `of(String name, org.jboss.as.controller.SimpleAttributeDefinition valueType)`
    `MappedListAttributeDefinition.Builder` | `setAccessConstraints(org.jboss.as.controller.access.management.AccessConstraintDefinition... constraints)`
    `MappedListAttributeDefinition.Builder` | `setAllowNull(boolean allowNull)`
    `MappedListAttributeDefinition.Builder` | `setFieldPathInRepositoryConfiguration(String... pathToField)`
    `MappedListAttributeDefinition.Builder` | `setFlags(org.jboss.as.controller.registry.AttributeAccess.Flag... flags)`
    `MappedListAttributeDefinition.Builder` | `setMaxSize(int maxSize)`
    `MappedListAttributeDefinition.Builder` | `setMinSize(int minSize)`
    `MappedListAttributeDefinition.Builder` | `setRequires(String... requires)`
    `MappedListAttributeDefinition.Builder` | `setXmlName(String xmlName)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MappedListAttributeDefinition.Builder

          public MappedListAttributeDefinition.Builder(String name,
                                               org.jboss.as.controller.SimpleAttributeDefinition valueType)

  - ### Method Detail

    - #### of

          public static MappedListAttributeDefinition.Builder of(String name,
                                                 org.jboss.as.controller.SimpleAttributeDefinition valueType)

    - #### build

          public org.jboss.as.controller.ListAttributeDefinition build()

    - #### setAllowNull

          public MappedListAttributeDefinition.Builder setAllowNull(boolean allowNull)

    - #### setFlags

          public MappedListAttributeDefinition.Builder setFlags(org.jboss.as.controller.registry.AttributeAccess.Flag... flags)

    - #### setMaxSize

          public MappedListAttributeDefinition.Builder setMaxSize(int maxSize)

    - #### setMinSize

          public MappedListAttributeDefinition.Builder setMinSize(int minSize)

    - #### setRequires

          public MappedListAttributeDefinition.Builder setRequires(String... requires)

    - #### setXmlName

          public MappedListAttributeDefinition.Builder setXmlName(String xmlName)

    - #### setFieldPathInRepositoryConfiguration

          public MappedListAttributeDefinition.Builder setFieldPathInRepositoryConfiguration(String... pathToField)

    - #### setAccessConstraints

          public MappedListAttributeDefinition.Builder setAccessConstraints(org.jboss.as.controller.access.management.AccessConstraintDefinition... constraints)

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.